using System;

internal sealed class Delegate587 : MulticastDelegate
{
	public extern object Invoke(object object_0, string string_0);

	public static object smethod_0(object object_0, string string_0, Delegate587 delegate587_1)
	{
		return delegate587_1(object_0, string_0);
	}

	public extern Delegate587(object object_0, IntPtr intptr_0);

	static Delegate587()
	{
		Class10.smethod_13(typeof(Delegate587).TypeHandle);
	}

	internal static Delegate587 delegate587_0;
}
